//==============================================//
// Created by Dupre					//
//==============================================//
using System; 
using Server; 
using Server.Items;
using System.Collections;
using Server.Multis;
using Server.Mobiles;
using Server.Network;

namespace Server.Items
{ 
   public class QuestChest : Bag
   { 
   public override int MaxWeight{ get{ return 0; } }
   public override int DefaultDropSound{ get{ return 0x42; } }
//   public override int GumpID{ get{ return 0x43; } }

      [Constructable] 
      public QuestChest()
      { 
  Name = "A Quest Chest";
  Movable = true;
  Hue = 1174;
  LootType = LootType.Blessed;
  GumpID = 0x43;
  ItemID = 0xE7D;
     } 

		public override bool TryDropItem( Mobile from, Item dropped, bool sendFullMessage )
		{
			if ( dropped.Name != "A Quest Token" )
				{
				from.SendMessage ("Arte thou trying to cheat?");
				return false;
				}

			ArrayList list = this.Items;

			for ( int i = 0; i < list.Count; ++i )
			{
				Item item = (Item)list[i];

				if ( !(item is Container) && item.StackWith( from, dropped, false ) )
					return true;
			}

			DropItem( dropped );

			return true;
		}

		public override bool OnDragDropInto( Mobile from, Item item, Point3D p )
		{
			if ( item.Name != "A Quest Token" )
				{
				from.SendMessage ("Arte thou trying to cheat?");
				return false;
				}

			item.Location = new Point3D( p.X, p.Y, 0 );
			AddItem( item );

			from.SendSound( GetDroppedSound( item ), GetWorldLocation() );

			return true;
		}


public QuestChest( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
     }

}}