//==============================================//
// Created by Dupre					//
//==============================================//
using System; 

namespace Server.Items 
{ 
public class QuestToken : Item 
{ 
[Constructable] 
public QuestToken() : this( 1 ) 
{ 
} 

[Constructable] 
public QuestToken( int amountFrom, int amountTo ) : this( Utility.Random( amountFrom, amountTo - amountFrom ) ) 
{ 
} 

[Constructable] 
public QuestToken( int amount ) : base( 0x1869 ) 
{ 
Name = "A Quest Token";
Stackable = false; 
Weight = 0; 
Amount = amount; 
Hue = 1174; 
Visible = true;
Movable = false;
LootType = LootType.Blessed;
} 

public QuestToken( Serial serial ) : base( serial ) 
{ 
} 

public override int GetDropSound() 
{ 
return 0x2E5; 
} 

public override Item Dupe( int amount ) 
{ 
return base.Dupe( new QuestToken( amount ), amount ); 
} 

public override void OnDoubleClick( Mobile from ) 
{ 

{ 
from.SendMessage( 0x35, "Quest Tokens should be handed in when"); 
from.SendMessage( 0x35, "the Event is over, in order to receive"); 
from.SendMessage( 0x35, "your Reward."); 
} 
} 

public override void Serialize( GenericWriter writer ) 
{ 
base.Serialize( writer ); 

writer.Write( (int) 0 ); // version 
} 

public override void Deserialize( GenericReader reader ) 
{ 
base.Deserialize( reader ); 

int version = reader.ReadInt(); 
} 
} 
}