//==============================================//
// Created by Dupre								//
//==============================================//
using System;
using Server;
using Server.Mobiles;

namespace Server.Items
{
	public class Fix1BowyersBow : CompositeBow
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public Fix1BowyersBow()
		{
			Name = "a Woodcutters's Bow";
			Hue = 1153;
			MinDamage = 20;
			MaxDamage = 35;
			Speed = 40;
			
			LootType = LootType.Blessed;
			
			Attributes.WeaponSpeed = 50;
			Attributes.BonusDex = 25;
			Attributes.Luck = 500;
			Attributes.RegenStam = 4;
			Attributes.DefendChance = 25;
			Attributes.AttackChance = 25;
		}

		public override void GetDamageTypes( out int phys, out int fire, out int cold, out int pois, out int nrgy )
		{
			phys = 60;
			fire = 0;
			cold = 40;
			pois = 0;
			nrgy = 0;
		}
		
		public override bool OnEquip(Mobile from)
		{
			if (from.Kills >= 5)
			{
				from.SendMessage ("The Ancient Tree has seen fit to punish you");
				from.ApplyPoison( from, Poison.Lethal );
			}
			else if (from.Map == Map.Trammel && from.Kills < 5)
			{
			from.Map = Map.Felucca;
			from.Location = new Point3D(1458,844,5);
			from.SendMessage("The power of the Ancient Tree bestow's a criminal status upon you, and you have been sent to Felucca");
			}
			else if (from.Map != Map.Trammel && from.Map != Map.Felucca)
			{
			from.Map = Map.Felucca;
			from.Location = new Point3D(1458,844,5);
			from.SendMessage("The power of the Ancient Tree bestow's a criminal status upon you, and you have been sent to Felucca");
			}
			else
			{
			from.Map = Map.Felucca;
			from.Location = new Point3D(1458,844,5);
			from.SendMessage("The power of the Ancient Tree bestow's a criminal status upon you, and you have been sent to Felucca");
			}
			from.Kills = (from.Kills+10);
			from.Criminal = true;
			UnMorph(from);
			
			return base.OnEquip(from);
		}
		
		public override void OnRemoved( object parent) 
      { 
		if ( parent is Mobile )
		{
       Mobile from = (Mobile)parent;
  		
  		int rand = Utility.Random(100);
			if (rand <= 7)
			{
			from.Kills = (from.Kills-9);
			}
			else
			{
			from.Kills = (from.Kills-10);
			}
  		  		
  		from.Criminal = false;
  		if (from.Kills >=5)
  		{
  			from.SendMessage("The Ancient Tree has seen fit to punish you, and you must remain in felucca until your debt is payed");
  			from.Hits = (from.Hits/5);
  		}
  		else
  		{
  			from.Map = Map.Trammel;
  			from.Location = new Point3D(1458,844,5);
  			from.SendMessage("The Ancient Tree has forgiven you, but leaves you with a lingering feeling of guilt");
  		}
		this.Hue = 1153;
		}
      base.OnRemoved(parent);
      }
		
		public bool UnMorph(Mobile from)
		{

		if (from.FindItemOnLayer(Layer.OuterTorso) != null && from.FindItemOnLayer(Layer.OuterTorso).Name == "an Evil Shroud of Invisibility")
			{
			this.Hue = 19999;
			}
			else
			{
			this.Hue = 1153;
			}
		return true;
		}
      	
		public Fix1BowyersBow( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
