//==============================================//
// Created by Dupre								//
//==============================================//
using System; 
using Server; 
using Server.Items;
using System.Collections;
using Server.Multis;
using Server.Mobiles;
using Server.Network;

namespace Server.Items
{ 
   public class TreeReward1 : Item
	{
		[Constructable]
		public TreeReward1() : base( 8779 )
		{
		ItemID = 8779;
		Hue = 1173;
		Stackable = false;
		Name = "The Remains of an Ancient Tree";
		Weight = 10.0;
		}

		public TreeReward1( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

public class TreeReward2 : Item
	{
		[Constructable]
		public TreeReward2() : base( 8778 )
		{
		ItemID = 8778;
		Hue = 1173;
		Stackable = false;
		Name = "The Remains of an Ancient Tree";
		Weight = 10.0;
		}

		public TreeReward2( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

public class TreeReward3 : Item
	{
		[Constructable]
		public TreeReward3() : base( 3277 )
		{
		ItemID = 3277;
		Hue = 1173;
		Stackable = false;
		Name = "The Remains of an Ancient Tree";
		Weight = 10.0;
		}

		public TreeReward3( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

public class TreeReward4 : Item
	{
		[Constructable]
		public TreeReward4() : base( 3275 )
		{
		ItemID = 3275;
		Hue = 1173;
		Stackable = false;
		Name = "The Remains of an Ancient Tree";
		Weight = 10.0;
		}

		public TreeReward4( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

   [Flipable( 0x14F0, 0x14EF )]
	public class MiniTreeDeed : Item
	{
		private int m_WestID;
		private int m_NorthID;

		[Constructable]
		public MiniTreeDeed() : base( 0x14F0 )
		{
			m_WestID = 8757;
			m_NorthID = 8756;
			this.Name = "A Mini Tree Deed";
			this.LootType = LootType.Blessed;
		}

		public MiniTreeDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version

			writer.Write( (int) m_WestID );
			writer.Write( (int) m_NorthID );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			switch ( version )
			{
				case 0:
				{
					m_WestID = reader.ReadInt();
					m_NorthID = reader.ReadInt();
					break;
				}
			}
		}

		public override void OnDoubleClick( Mobile m )
		{
			if ( IsChildOf( m.Backpack ) )
			{
			int rand = Utility.Random(3);
				switch (rand)
				{
					case 0:
						m.AddToBackpack(new MiniTreeReward1());
						m.SendMessage("You have been rewarded with a Mini Tree");
						this.Delete();
						break;
					
					case 1:
						m.AddToBackpack(new MiniTreeReward2());
						m.SendMessage("You have been rewarded with a Mini Tree");
						this.Delete();
						break;
					
					case 2:
						m.AddToBackpack(new MiniTreeReward3());
						m.SendMessage("You have been rewarded with a Mini Tree");
						this.Delete();
						break;
				}
			}
			else
			{
				m.SendLocalizedMessage( 1042001 ); // That must be in your pack for you to use it.
			}
		}
	}
   
   public class MiniTreeReward1 : Item
	{
		[Constructable]
		public MiniTreeReward1() : base( 3305 )
		{
		ItemID = 3305;
		Hue = 1152;
		Stackable = false;
		Name = "an Ancient Sapling";
		Weight = 7.5;
		}
		
		public override void OnDoubleClick( Mobile m )
			{
				int rand = Utility.Random(3);
				switch (rand)
				{
					case 0:
						m.SendMessage("The Ancient Tree see's fit to grant you some additional power.");
						m.StatCap = m.StatCap + (m.Str/10);
						m.Dex = (m.Dex-(m.Dex/5));
						m.Str = (m.Str+(m.Str/10));
						this.Delete();
						break;
					
					case 1:
						m.SendMessage("The Ancient Tree see's fit to grant you some additional speed.");
						m.StatCap = m.StatCap + (m.Dex/10);
						m.Str = (m.Str-(m.Str/5));
						m.Dex = (m.Dex+(m.Dex/10));
						this.Delete();
						break;
					
					case 2:
						m.SendMessage("The Ancient Tree see's fit to grant you some additional mana.");
						m.StatCap = m.StatCap + (m.Int/10);
						m.Dex = (m.Dex-(m.Dex/10));
						m.Str = (m.Str-(m.Str/10));
						m.Int = (m.Int+(m.Int/10));
						this.Delete();
						break;
				}
			}
		
		public MiniTreeReward1( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

public class MiniTreeReward2 : Item
	{
		[Constructable]
		public MiniTreeReward2() : base( 3306 )
		{
		ItemID = 3306;
		Hue = 1152;
		Stackable = false;
		Name = "an Ancient Sapling";
		Weight = 7.5;
		}
		
		public override void OnDoubleClick( Mobile m )
			{
				int rand = Utility.Random(3);
				switch (rand)
				{
					case 0:
						m.SendMessage("The Ancient Tree see's fit to grant you some additional power.");
						m.StatCap = m.StatCap + (m.Str/10);
						m.Dex = (m.Dex-(m.Dex/5));
						m.Str = (m.Str+(m.Str/10));
						this.Delete();
						break;
					
					case 1:
						m.SendMessage("The Ancient Tree see's fit to grant you some additional speed.");
						m.StatCap = m.StatCap + (m.Dex/10);
						m.Str = (m.Str-(m.Str/5));
						m.Dex = (m.Dex+(m.Dex/10));
						this.Delete();
						break;
					
					case 2:
						m.SendMessage("The Ancient Tree see's fit to grant you some additional mana.");
						m.StatCap = m.StatCap + (m.Int/10);
						m.Dex = (m.Dex-(m.Dex/10));
						m.Str = (m.Str-(m.Str/10));
						m.Int = (m.Int+(m.Int/10));
						this.Delete();
						break;
				}
			}

		public MiniTreeReward2( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

public class MiniTreeReward3 : Item
	{
		[Constructable]
		public MiniTreeReward3() : base( 8442 )
		{
		ItemID = 8442;
		Hue = 1152;
		Stackable = false;
		Name = "an Ancient Sapling";
		Weight = 7.5;
		}
		
		public override void OnDoubleClick( Mobile m )
			{
				int rand = Utility.Random(3);
				switch (rand)
				{
					case 0:
						m.SendMessage("The Ancient Tree see's fit to grant you some additional power.");
						m.StatCap = m.StatCap + (m.Str/10);
						m.Dex = (m.Dex-(m.Dex/5));
						m.Str = (m.Str+(m.Str/10));
						this.Delete();
						break;
					
					case 1:
						m.SendMessage("The Ancient Tree see's fit to grant you some additional speed.");
						m.StatCap = m.StatCap + (m.Dex/10);
						m.Str = (m.Str-(m.Str/5));
						m.Dex = (m.Dex+(m.Dex/10));
						this.Delete();
						break;
					
					case 2:
						m.SendMessage("The Ancient Tree see's fit to grant you some additional mana.");
						m.StatCap = m.StatCap + (m.Int/10);
						m.Dex = (m.Dex-(m.Dex/10));
						m.Str = (m.Str-(m.Str/10));
						m.Int = (m.Int+(m.Int/10));
						this.Delete();
						break;
				}
			}


		public MiniTreeReward3( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
	
}
