//==============================================//
// Created by Dupre								//
//==============================================//
using System;
using Server;
using Server.Mobiles;

namespace Server.Items
{
	public class HolyLance : Lance
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public HolyLance()
		{
			Name = "a Holy Lance";
			Hue = 1262;
			MinDamage = 20;
			MaxDamage = 35;
			Speed = 45;
			
			LootType = LootType.Blessed;
			
			WeaponAttributes.UseBestSkill = 1;
			
			Attributes.WeaponDamage = 40;
			Attributes.BonusStr = 15;
			Attributes.BonusDex = 10;
			Attributes.Luck = 500;
			Attributes.RegenHits = 3;
			Attributes.RegenStam = 1;
			Attributes.DefendChance = 15;
			Attributes.AttackChance = 25;
			}

		public override void GetDamageTypes( out int phys, out int fire, out int cold, out int pois, out int nrgy )
		{
			phys = 10;
			fire = 0;
			cold = 45;
			pois = 45;
			nrgy = 0;
		}
		
		public override bool OnEquip(Mobile from)
		{
			if (from.Kills >= 1)
			{
			from.SendMessage("You are not true of heart and may not equip this");
			return false;
			}
			else
			{
			int rand = Utility.Random(25,75);
			int rand2 = Utility.Random(25,75);
			from.Stam = ((from.Stam/100)*rand2);
			from.Hits = ((from.Hits/100)*rand);
			from.Map = Map.Felucca;
			switch ( Utility.Random( 8 )) 
			{ 
				case 0: from.Location = new Point3D(1856,872,255); break; //Compassion
				case 1: from.Location = new Point3D(4217,564,35); break; //Honesty
				case 2: from.Location = new Point3D(1730,3528,5); break; //Honor
				case 3: from.Location = new Point3D(4276,3699,0); break; //Humility
				case 4: from.Location = new Point3D(1301,639,15); break; //Justice
				case 5: from.Location = new Point3D(3355,299,9); break; //Sacrifice
				case 6: from.Location = new Point3D(1589,2485,5); break; //Spirit
				case 7: from.Location = new Point3D(2496,3932,0); break; //Valor
			}
			}
			UnMorph(from);
			return base.OnEquip(from);
		}
		
		public override void OnRemoved( object parent) 
      { 
		if ( parent is Mobile )
		{
       	Mobile from = (Mobile)parent;
       	from.Map = Map.Felucca;
       	from.Location = new Point3D(1458,844,5);
       	this.Hue = 1262;
		}
      base.OnRemoved(parent);
      }

  public bool UnMorph(Mobile from)
		{

		if (from.FindItemOnLayer(Layer.OuterTorso) != null && from.FindItemOnLayer(Layer.OuterTorso).Name == "a Virtuous Shroud of Invisibility")
			{
			this.Hue = 19999;
			}
			else
			{
			this.Hue = 1262;
			}
		return true;
		}    	
		
		public HolyLance( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
