//==============================================//
// Created by Dupre								//
//==============================================//
using System; 
using Server; 
using Server.Items;
using System.Collections;
using Server.Multis;
using Server.Mobiles;
using Server.Network;

namespace Server.Items
{ 
   public class UpdateBasket : Bag
   { 
      [Constructable] 
      public UpdateBasket()
      { 
  Name = "An Update Basket";
  Movable = true;
  Hue = 1167;
  GumpID = 0x41;
  ItemID = 0x990;
     } 
		public override void OnDoubleClick( Mobile m )
		{
			m.SendMessage("This basket will update any items that have been superceeded by 'improved' versions");
		}
		
		public override bool TryDropItem( Mobile from, Item item, bool sendFullMessage )
		{
			if ( item != null && item is BowyersBow )
				{
				item.Delete();
				from.AddToBackpack (new Fix1BowyersBow());
				from.SendMessage("Your item has been updated");
					return true;
				}
			if ( item != null && item is WoodcuttersAxe)
			{
				item.Delete();
				from.AddToBackpack (new Fix1WoodcuttersAxe());
				from.SendMessage("Your item has been updated");
				return true;
			}
			else
			{
			from.SendMessage("This item does not need to be updated");
			return false;
			}
		}

		public override bool OnDragDropInto( Mobile from, Item item, Point3D p )
		{
			if ( item != null && item is BowyersBow )
				{
				item.Delete();
				from.AddToBackpack (new Fix1BowyersBow());
				from.SendMessage("Your item has been updated");
					return true;
				}
			if ( item != null && item is WoodcuttersAxe)
			{
				item.Delete();
				from.AddToBackpack (new Fix1WoodcuttersAxe());
				from.SendMessage("Your item has been updated");
				return true;
			}
			else
			{
			from.SendMessage("This item does not need to be updated");
			return false;
			}
		}


	public UpdateBasket( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
     }

}}
